usb_remove_hcd
Prev | Chapter 6. Host Controller APIs | Next

## Name

usb_remove_hcd — shutdown processing for generic HCDs

## Synopsis

`void usb_remove_hcd (` | struct usb_hcd * | hcd`)`;

## Arguments

`hcd`

  the usb_hcd structure to remove

## Context

!`in_interrupt`

## Description

Disconnects the root hub, then reverses the effects of `usb_add_hcd`, invoking the HCD's `stop` method.

Prev | Up | Next
usb_add_hcd | Home | usb_hcd_pci_probe